#!/bin/sh

#=================================================================
# db_STRESS data load for MySQL
#=================================================================

# data files directory (def: current dir)
dir=`pwd`

# user/passwd
user=dim
passwd=dimitri

# database name
dbname=dbstress

# socket path (if needed)
###socket="-S/apps/mysql/data/mysql.sock.3306"

mysql -u$user -p$passwd -D$dbname $socket <<EOF
load data infile '$dir/zone.data'    into table ZONE    fields terminated by '|';
load data infile '$dir/stat.data'    into table STAT    fields terminated by '|';
load data infile '$dir/section.data' into table SECTION fields terminated by '|';
load data infile '$dir/object.data'  into table OBJECT  fields terminated by '|';
load data infile '$dir/history.data' into table HISTORY fields terminated by '|';
EOF
