
-- ============================================================
--   Table : ZONE
-- ============================================================
create table ZONE
(
    REF                 CHAR(2)            not null,
    NAME                CHAR(40)           not null
);


-- ============================================================
--   Table : STAT
-- ============================================================
create table STAT
(
    REF                 CHAR(3)            not null,
    NAME                CHAR(40)           not null,
    NUMB                INT                not null
);


-- ============================================================
--   Table : SECTION
-- ============================================================
create table SECTION
(
    REF                 CHAR(2)            not null,
    REF_ZONE            CHAR(2)            not null,
    NAME                CHAR(40)           not null
);


-- ============================================================
--   Table : OBJECT
-- ============================================================
create table OBJECT
(
    REF                 CHAR(10)              not null,
    REF_SECTION         CHAR(2)               not null,
    NAME                CHAR(30)              not null,
    CREATE_DATE         CHAR(12)              not null,
    NOTE                CHAR(100)
);


-- ============================================================
--   Table : HISTORY
-- ============================================================
create table HISTORY
(
    REF_OBJECT          CHAR(10)              not null,
    HORDER              INT                   not null,
    REF_STAT            CHAR(3)               not null,
    BEGIN_DATE          CHAR(12)              not null,
    END_DATE            CHAR(12)                      ,
    NOTE                CHAR(100)
);


